% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PathwayAnalysis.R
\name{permutations}
\alias{permutations}
\title{permutations}
\usage{
permutations(n, r, v = 1:n, set = TRUE, repeatsAllowed = FALSE)
}
\arguments{
\item{n}{total number of elements in the set}

\item{r}{subset size}

\item{v}{1:n}

\item{set}{Logical flag indicating whether duplicates should be removed from the source vector v. Defaults to TRUE.}

\item{repeatsAllowed}{Logical flag indicating whether the constructed vectors may include duplicated values. Defaults to FALSE.}
}
\value{
a matrix with (n!/(n-r)!) rows and r columns
}
\description{
permutations
}
\examples{
perm <- permutations(4, 4)
}
